Subject: bug#49424: 27.2; Misdocumented default initialisation file

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Jul 2021 22:27:41 +0300

> Date: Wed, 7 Jul 2021 20:08:20 +0100 (BST)
> From: Peter Oliver <[email-masked]>
> cc: [email-masked], [email-masked], [email-masked]
> 
> >>    For brevity the rest of the Emacs documentation generally uses just
> >> -the current default location @file{~/.emacs.d/init.el} for the
> >> +the current default location @file{~/.emacs} for the
> >>  init file.
> >
> > Thanks, but this is still inaccurate.  Can we please change the
> > documentation so that it tells the whole story?
> 
> What do we think is wrong or missing?  In the context of the rest of that page, I admit it looks okay to me.

Then I don't think I understand the change at all.  This sentence
explains that the rest of the documentation doesn't mention the logic
of finding the init file under its various names, instead using just
one possible name.  You changed that one name without changing the
rest of the documentation -- what does that achieve?

Stepping back a notch, the original report was:

  The info page “49.4.4 How Emacs Finds Your Init File” says:

  > For brevity the rest of the Emacs documentation generally uses just
  > the current default location ‘~/.emacs.d/init.el’ for the init file.

  However, this seems to be inaccurate: if I start Emacs as a new user
  and make a customisation, that customisation is written to ~/.emacs.

How can a simplifying convention in a manual be "inaccurate"?  And
what does that convention have to do with the order and logic of how
Emacs actually looks for the init file?

What am I missing here?